//Source file: PamUnavailableInterfaceException.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified interface does not exist or is unavailable
 *
 */
public class PamUnavailableInterfaceException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnavailableInterfaceException() {
        super(); 
    }

    public PamUnavailableInterfaceException(String message) {
        super(message); 
    }

    public PamUnavailableInterfaceException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnavailableInterfaceException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnavailableInterfaceException

