//Source file: PamAliasExistsException.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified alias is already associated to the Identity
 *
 */
public class PamAliasExistsException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamAliasExistsException() {
        super(); 
    }

    public PamAliasExistsException(String message) {
        super(message); 
    }

    public PamAliasExistsException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamAliasExistsException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamAliasExistsException

