//Source file: PamAliasNotUniqueException.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * Indicates that the alias has already been assigned to another identity
 *
 */
public class PamAliasNotUniqueException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamAliasNotUniqueException() {
        super(); 
    }

    public PamAliasNotUniqueException(String message) {
        super(message); 
    }

    public PamAliasNotUniqueException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamAliasNotUniqueException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamAliasNotUniqueException

