//Source file: PamUnknownAttributesException.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified attribute list contains attributes not part of the named object 
 *
 */
public class PamUnknownAttributesException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnknownAttributesException() {
        super(); 
    }

    public PamUnknownAttributesException(String message) {
        super(message); 
    }

    public PamUnknownAttributesException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnknownAttributesException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnknownAttributesException

